import org.junit.jupiter.api.Test;

class GameOutcomeSolverOptionalTest {
    @Test
    void calculateOutcome054() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | |#| | | |",
                        "| | | | | | | |#|*| | |*|",
                        "|#| |*| |*| |#|*|#|#|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome072() {
        check(GameOutcome.WIN_STAR, 6, new String[]{
                        "| | | | | | | | | | | |#|",
                        "| | | | | | | | | | | |#|",
                        "| | | | | | | | |*| | |#|",
                        "| | | | |*| | | |*| | |*|",
                        "| |#| | |*| |*|#|#| |*|*|",
                        "|*|*| | |#| |#|*|*| |#|#|",
                        "|#|#| | |*| |#|#|*| |*|*|",
                        "|*|*|*|#|#|#|#|*|*|*|#|#|",
                        "|*|#|*|*|#|#|#|*|*|*|*|#|",
                        "|*|#|#|*|#|#|#|#|*|#|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome089() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | |#| |",
                        "| | |#| |",
                        "| | |*|*|",
                        "| | |*|#|",
                        "|*|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome120() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | |",
                        "| | | | | | |",
                        "| | | | | | |",
                        "| | | | | | |",
                        "| | | | | | |",
                        "| | | | | | |",
                        "| | | | | | |",
                        "| |*| | | | |",
                        "| |#| | | | |",
                        "| |#| | |*| |",
                        "| |*| | |#| |",
                        "| |#|*| |*| |",
                        "| |*|*|*|#|*|",
                        "|#|#|*|#|*|#|",
                        "|#|*|#|#|#|*|",
                        "|#|*|*|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome126() {
        check(GameOutcome.WIN_HASH, 5, new String[]{
                        "| | |*|#| | | |",
                        "|#| |*|*| | | |",
                        "|*| |*|*| | | |",
                        "|*| |#|*| | |*|",
                        "|#|#|#|#| | |#|",
                        "|*|#|#|*|#| |*|",
                        "|*|*|#|#|#| |#|",
                        "|*|*|*|*|#| |#|",
                        "|*|*|#|*|#|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome156() {
        check(GameOutcome.WIN_STAR, 5, new String[]{
                        "| | | | | |",
                        "| | | | | |",
                        "|*| |#|#| |",
                        "|#| |*|*|*|",
                        "|*|*|#|*|#|",
                        "|#|#|*|*|*|",
                        "|#|*|*|#|#|",
                        "|*|#|#|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome164() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |",
                        "| |*| | | | | |*|#| | | |",
                        "|*|#|#| | | |*|#|*| | |#|",
                        "|#|*|*|#| | |*|*|#|*| |#|"
                }
        );
    }

    @Test
    void calculateOutcome187() {
        check(GameOutcome.WIN_HASH, 5, new String[]{
                        "| | | | | |",
                        "|#| | | | |",
                        "|#| | | | |",
                        "|*| | | | |",
                        "|#| | | | |",
                        "|*| | | | |",
                        "|#| |*| | |",
                        "|#| |#| | |",
                        "|*|#|*| | |",
                        "|#|*|#|*| |",
                        "|#|#|*|#|*|",
                        "|#|*|*|#|#|",
                        "|#|#|#|*|*|",
                        "|*|#|*|#|*|",
                        "|#|*|#|*|*|",
                        "|#|*|#|*|*|",
                        "|*|#|*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome238() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | |#|",
                        "| | | |#|*|",
                        "| |*|#|*|#|",
                        "|*|#|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome241() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | |*| | |",
                        "| | |*| |#| | |",
                        "| | |#|#|*|#|*|",
                        "|*| |#|#|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome247() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | |#|*| |",
                        "| |*|#| | |*|*| |",
                        "|*|#|*| |*|#|#|#|",
                        "|*|#|#|*|*|#|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome250() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | | | | | | | | |",
                        "| | | | | | | | | |",
                        "| | | | | |*| | | |",
                        "| | | | | |*| | | |",
                        "| | | | | |#| | | |",
                        "| | | | | |#| | | |",
                        "| | | | |#|*|#| |*|",
                        "|*| |*|*|*|#|#|#|*|",
                        "|#| |#|#|*|*|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome300() {
        check(GameOutcome.WIN_STAR, 5, new String[]{
                        "|*|#| | | |#|",
                        "|#|*| | | |#|",
                        "|*|*| | |*|#|",
                        "|#|*| |*|*|*|",
                        "|*|#|*|#|*|#|",
                        "|#|*|#|*|#|*|",
                        "|*|#|#|*|*|#|",
                        "|#|#|#|*|#|*|",
                        "|#|*|#|#|*|*|",
                        "|#|*|*|#|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome304() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | | | | | |",
                        "| | | | | | |",
                        "| |*| | | |*|",
                        "| |#| | | |*|",
                        "|*|#| | | |#|",
                        "|*|*|#| | |#|",
                        "|*|*|*|#|#|*|",
                        "|#|#|*|#|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome306() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | |#|",
                        "| | | |*|",
                        "|#|*| |#|",
                        "|*|#| |*|",
                        "|*|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome308() {
        check(GameOutcome.WIN_HASH, 5, new String[]{
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | |#| | |*| | |",
                        "| | |#| | |*| | |",
                        "| | |*|#| |#|*| |",
                        "| |*|*|*|#|*|#|#|",
                        "| |*|#|#|#|#|*|*|",
                        "|#|#|#|#|*|*|#|*|",
                        "|*|*|*|*|#|#|*|#|",
                        "|#|#|*|*|#|*|#|*|",
                        "|*|#|#|*|#|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome349() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "|*| | |#| | | | | | | | | | | |",
                        "|#|*|#|*| | | |*| |#|#| | | | |",
                        "|#|*|*|#| |#| |*|#|#|*| | | | |",
                        "|#|*|#|*|#|*|*|*|#|#|*| |*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome357() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | |#| | | | |",
                        "| | |*| | | | |",
                        "|#| |#| | | | |",
                        "|*| |*|*|*|#| |",
                        "|*|*|#|#|#|*| |",
                        "|#|#|*|#|#|#|*|",
                        "|*|*|#|#|*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome363() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | |*| | | |",
                        "| |#| |*|*| | |#|",
                        "| |#|*|#|*| | |*|",
                        "|#|*|#|*|#| | |#|"
                }
        );
    }

    @Test
    void calculateOutcome379() {
        check(GameOutcome.WIN_HASH, 6, new String[]{
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | |",
                        "| | | | | | | | | |*| | | | | |",
                        "| | | | | | | | | |*| | | | | |",
                        "| | | | |*| | | | |#| | | | | |",
                        "|#| | | |*| | | | |*| | | | | |",
                        "|*| |#| |#|*|*| | |*| | | | | |",
                        "|#|#|#| |*|#|#|#| |*| | | | |*|",
                        "|*|*|*|*|*|#|#|#| |#|#| | | |#|",
                        "|#|#|#|#|*|#|#|*| |#|*|*| |#|*|",
                        "|*|#|#|*|#|*|*|*| |#|#|*| |*|#|",
                        "|*|#|*|#|*|#|#|#| |#|#|*|#|*|#|",
                        "|*|*|#|*|#|*|*|*| |#|*|*|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome411() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "|*| | | | | | | | |#| |",
                        "|*| | | | | |*| | |*| |",
                        "|*| | |#| | |#| |*|*| |",
                        "|#|#|*|#|*|#|#|*|#|#| |",
                        "|#|#|*|*|#|#|*|*|#|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome417() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "|#|*|#| |",
                        "|#|*|*|#|",
                        "|*|*|#|*|",
                        "|#|#|*|#|",
                        "|#|#|#|*|",
                        "|*|*|*|#|",
                        "|#|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome421() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| |*| | |*| | |",
                        "| |#|#|*|#| | |",
                        "| |*|*|#|*| | |",
                        "|#|*|*|#|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome436() {
        check(GameOutcome.WIN_STAR, 6, new String[]{
                        "| |#| | | | | | | | | | |",
                        "| |*| | | |#|*| | | | | |",
                        "| |#| | | |#|#| | |*|#| |",
                        "|*|*| | | |*|*| | |*|*| |",
                        "|#|*|#| |#|#|#| | |*|#| |",
                        "|#|#|*|*|#|*|#|#| |#|*|*|",
                        "|#|*|#|*|*|#|*|*|#|#|*|#|",
                        "|*|*|*|*|*|#|#|*|#|#|*|#|",
                        "|*|*|#|#|*|*|#|*|*|*|*|#|",
                        "|#|*|#|#|*|*|#|#|*|#|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome437() {
        check(GameOutcome.WIN_HASH, 6, new String[]{
                        "| | | | |#| |*| | | | | | |",
                        "| | | | |#| |*|#| | | | | |",
                        "| | | | |#| |#|*| | | | | |",
                        "| | | |*|#| |#|#|#| |*| | |",
                        "| | |#|*|#|#|*|*|*| |#| | |",
                        "|*| |*|*|*|*|#|*|*| |#|#| |",
                        "|*|*|#|*|*|*|#|#|#|#|*|#| |",
                        "|#|#|#|#|#|*|#|*|#|*|*|*| |",
                        "|*|*|#|#|*|#|*|*|#|#|*|*| |",
                        "|*|#|*|*|#|#|#|*|*|#|#|*| |"
                }
        );
    }

    @Test
    void calculateOutcome448() {
        check(GameOutcome.WIN_STAR, 7, new String[]{
                        "|#|*|*|#| | | |",
                        "|#|#|#|#| |*|*|",
                        "|#|*|#|*|*|*|#|",
                        "|#|#|#|#|*|*|#|",
                        "|#|#|#|*|*|*|*|",
                        "|*|*|*|*|#|*|*|",
                        "|#|*|#|*|#|*|*|",
                        "|*|*|*|*|#|#|#|",
                        "|#|*|*|#|*|#|#|",
                        "|#|#|*|*|#|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome456() {
        check(GameOutcome.WIN_STAR, 8, new String[]{
                        "| | | | | | | | | | | |",
                        "| | |#|#|*| | | | | | |",
                        "| | |*|#|*| | | | | | |",
                        "|#| |#|*|#| | | | | | |",
                        "|*| |#|*|#| | |#| |*| |",
                        "|#| |#|#|*| | |#|*|*| |",
                        "|#| |#|*|*| | |#|*|#| |",
                        "|#| |*|#|#| | |*|#|*| |",
                        "|#|*|#|#|*| |*|*|*|*|*|",
                        "|#|#|#|*|*|*|*|#|*|*|#|",
                        "|*|*|*|#|*|#|*|#|*|#|#|",
                        "|#|*|#|*|#|*|#|#|#|#|#|",
                        "|#|*|*|*|#|*|*|*|#|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome472() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | | | | | | | | | | | | | | | |*|",
                        "| | | | | | | | | | | | | | | | |*|",
                        "| | | | | | | | | | | | | | | | |*|",
                        "| |*| | | | | | | |#| | | | | | |#|",
                        "|*|#| | | | |#| | |#|#| |*| | |#|*|",
                        "|*|#|#| | | |#| | |*|#| |*|*|#|#|*|",
                        "|#|#|*|*|*|#|*| |#|#|*|*|#|#|*|#|#|",
                        "|*|*|#|*|#|*|*|*|#|*|#|#|*|*|*|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome562() {
        check(GameOutcome.WIN_STAR, 6, new String[]{
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "|*| | | | | | |",
                        "|*| | | | | | |",
                        "|#| | | |*| | |",
                        "|#| | | |#| |#|",
                        "|#| | | |#|#|*|",
                        "|#|*|*|*|#|#|#|",
                        "|#|#|*|#|*|*|*|",
                        "|*|*|*|*|#|#|*|",
                        "|#|#|#|#|*|*|*|",
                        "|*|#|#|*|#|*|*|",
                        "|#|#|#|*|*|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome569() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | |",
                        "| | | | | | | | | | |*| | |",
                        "| | | | | | | | | |*|#| |*|",
                        "| | | |#| | | |#| |*|*| |#|",
                        "| | |*|*|#|*|#|#| |#|*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome587() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | | | | |",
                        "| | | | | |*| | |",
                        "|*| | | | |#| | |",
                        "|#|#| | |#|*| | |",
                        "|#|*|*|#|*|*| |#|"
                }
        );
    }

    @Test
    void calculateOutcome610() {
        check(GameOutcome.WIN_STAR, 5, new String[]{
                        "|*|#|#|#| | |",
                        "|*|*|*|#| | |",
                        "|#|#|*|*|#|*|",
                        "|#|*|#|*|#|#|",
                        "|*|#|*|*|*|*|",
                        "|#|*|*|#|#|#|",
                        "|#|*|#|#|*|*|",
                        "|*|#|*|#|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome611() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| |*| | | | |",
                        "| |#| | | | |",
                        "| |#|#| |*| |",
                        "| |*|#|#|*| |",
                        "| |#|#|*|#| |",
                        "|*|*|*|#|*| |",
                        "|#|#|*|*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome618() {
        check(GameOutcome.WIN_HASH, 6, new String[]{
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "|*| | | | | | | | | |",
                        "|#| | |#| | | | | | |",
                        "|#| | |*| | | |#| | |",
                        "|*| | |*|*| |#|*| | |",
                        "|*| | |#|#|#|#|*| | |",
                        "|#| |#|#|#|#|*|*| |*|",
                        "|#| |*|#|*|#|*|*|#|#|",
                        "|#| |#|*|*|#|*|*|*|*|",
                        "|#|#|*|*|#|#|*|#|*|*|",
                        "|*|*|#|*|#|*|#|#|#|#|",
                        "|#|*|*|*|#|*|#|#|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome636() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "|*|#| | | |",
                        "|*|#| |#| |",
                        "|#|*| |#| |",
                        "|*|#|*|*|#|",
                        "|#|*|#|*|#|",
                        "|*|#|*|*|*|",
                        "|*|#|#|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome637() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "|*| |#| | |",
                        "|#| |#| | |",
                        "|#| |*| | |",
                        "|*| |*|*| |",
                        "|#| |*|#| |",
                        "|#|*|#|*|*|",
                        "|*|#|#|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome638() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "|*| | | |",
                        "|#|*| | |",
                        "|*|#|*|#|",
                        "|*|#|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome682() {
        check(GameOutcome.WIN_STAR, 8, new String[]{
                        "|*|*|*|#|*|#|*|*| |*|",
                        "|#|#|*|*|#|#|#|#| |#|",
                        "|#|*|*|#|#|*|#|*| |*|",
                        "|*|#|#|*|#|#|*|#|*|#|",
                        "|#|#|#|*|#|#|*|*|#|#|",
                        "|*|*|*|#|*|*|*|*|*|*|",
                        "|#|#|*|#|#|*|#|*|*|#|",
                        "|#|*|*|#|*|*|*|*|#|*|",
                        "|#|#|#|*|*|*|*|*|#|#|",
                        "|#|*|*|#|#|*|#|#|#|*|",
                        "|*|#|#|#|*|#|#|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome711() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | | |",
                        "| | | | | | | | | | |*|",
                        "| | | | | | | | |#|*|#|",
                        "|*| | |#| |*| |*|*|#|*|",
                        "|#| |#|#|#|*|*|*|#|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome749() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | |",
                        "| | |#| |",
                        "| | |*|*|",
                        "| |*|#|#|",
                        "| |#|*|*|",
                        "|*|#|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome755() {
        check(GameOutcome.WIN_STAR, 7, new String[]{
                        "| |*| | | |*|#| | |*| | | |*|*| | |",
                        "|#|*| | | |*|*| |#|#| | | |#|*| | |",
                        "|*|#| | |#|*|#| |#|*| | | |#|*|#| |",
                        "|#|*|#| |*|#|*| |#|*| | | |*|*|*| |",
                        "|*|*|#|*|#|*|*|*|#|*|#| | |#|#|*| |",
                        "|#|#|#|#|#|*|#|#|*|*|*|*| |#|#|#| |",
                        "|#|*|*|#|#|*|#|#|*|*|#|#|*|#|#|*| |",
                        "|*|*|#|*|#|#|*|*|#|*|*|#|#|#|*|*|#|",
                        "|*|*|#|#|*|#|*|#|*|#|#|*|#|#|#|*|*|",
                        "|*|#|#|*|*|#|#|*|*|#|#|*|#|*|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome769() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | | | | | | | | |",
                        "| | | | | | | | | |",
                        "| | | | | | | | | |",
                        "| | | | | | | | | |",
                        "| | | | | | | | | |",
                        "|#| | | | | | | | |",
                        "|*| | | | | | | | |",
                        "|#| | | | | | | | |",
                        "|*| | | | | | | | |",
                        "|*| | | | | | | | |",
                        "|#| | |#| | | | | |",
                        "|*| | |#| | | |*| |",
                        "|*| | |*|#|*| |#|#|",
                        "|#|*|*|#|#|#| |*|*|",
                        "|*|*|#|*|#|*|#|#|#|"
                }
        );
    }

    @Test
    void calculateOutcome775() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | | | | | | |",
                        "| | | | | |#| | | | |",
                        "| |*| |#|*|*|#| | | |",
                        "| |*| |#|#|*|*|#|#| |"
                }
        );
    }

    @Test
    void calculateOutcome782() {
        check(GameOutcome.WIN_STAR, 6, new String[]{
                        "| | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | |",
                        "| | | | | | | | | | |#| | | |",
                        "|*|*| | | | | | | | |#| |*| |",
                        "|#|*| |*| | | |*| | |*| |*| |",
                        "|*|#| |#| | | |*| | |*| |#| |",
                        "|*|*| |*| | | |#| | |#| |#| |",
                        "|#|#| |*| | | |#| | |*| |*| |",
                        "|*|*| |#| | | |*| | |#| |*| |",
                        "|*|#| |#|*|#|*|#| | |*| |#| |",
                        "|*|#|#|*|#|*|#|#| | |*| |#| |",
                        "|*|#|*|#|*|*|#|#| | |*|#|#|#|",
                        "|*|#|#|*|#|*|*|#|#| |*|*|#|#|",
                        "|#|*|*|#|#|*|#|*|#|#|#|#|*|*|",
                        "|#|*|#|*|*|#|*|*|#|*|*|#|*|#|",
                        "|#|#|*|#|#|*|*|#|*|*|#|#|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome787() {
        check(GameOutcome.WIN_STAR, 5, new String[]{
                        "| | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | |#| |",
                        "| | | | | | | |*| | | | |#| |",
                        "| | |#| |*|#| |#| |#| | |#| |",
                        "|*|#|#|*|*|*| |#| |*| | |*| |",
                        "|#|#|*|*|*|*| |#| |*| | |#|*|",
                        "|*|*|#|*|#|#|#|*|*|#| | |#|#|",
                        "|*|*|#|#|*|*|#|*|#|#|*|*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome790() {
        check(GameOutcome.WIN_STAR, 5, new String[]{
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | | | |",
                        "| | | | | | | | | | | | | | |*| |",
                        "| | | | |*| | |#| | | | | | |#| |",
                        "| |*| | |*|*| |#| | | | | | |#| |",
                        "| |#| |*|#|#|*|#|*| | | | | |*| |",
                        "| |*| |*|#|#|#|*|#| |*| | |#|#| |",
                        "|*|#| |*|#|#|*|*|*|*|#| |#|*|#| |"
                }
        );
    }

    @Test
    void calculateOutcome812() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "|*| | |",
                        "|#| | |",
                        "|*|#|*|",
                        "|#|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome813() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | |*|",
                        "|#|*|#|",
                        "|*|*|#|"
                }
        );
    }

    @Test
    void calculateOutcome826() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | | | | |",
                        "| | |*| | |",
                        "|#|*|#| | |",
                        "|*|#|#| |*|"
                }
        );
    }

    @Test
    void calculateOutcome850() {
        check(GameOutcome.WIN_HASH, 4, new String[]{
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "|*| |*| |",
                        "|*| |#|#|",
                        "|#| |#|*|",
                        "|*|#|#|#|",
                        "|#|*|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome851() {
        check(GameOutcome.WIN_STAR, 4, new String[]{
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "| | | | |",
                        "|*|#| | |",
                        "|#|*| | |",
                        "|*|#|*|#|",
                        "|#|*|#|*|"
                }
        );
    }

    @Test
    void calculateOutcome878() {
        check(GameOutcome.WIN_HASH, 3, new String[]{
                        "| | | | | | | |",
                        "| | | | | | | |",
                        "| | | |*|#| | |",
                        "|*|*| |#|#| | |",
                        "|#|*|#|*|*|#| |"
                }
        );
    }

    @Test
    void calculateOutcome887() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | | | | | | | |",
                        "| | | | | | | | | |",
                        "| | | | | | |*| | |",
                        "| | |#| |*| |#|*| |",
                        "| |#|#| |*|#|#|*|*|"
                }
        );
    }

    @Test
    void calculateOutcome963() {
        check(GameOutcome.WIN_STAR, 3, new String[]{
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | | |",
                        "| | |#|",
                        "|*| |#|",
                        "|#|*|*|",
                        "|#|*|*|"
                }
        );
    }

    // -----------------------------------------------------------------------------------------------------------------

    static void check(GameOutcome expectedOutcome, int connectToWin, String[] board) {
        GameOutcomeSolverTest.check(expectedOutcome, connectToWin, board);
    }
}
